- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
iszero
Complete List of ArrayFire Functions ArrayFire Functions by Category » Functions to create and modify Arrays » | Helper functions for arrays

Check if values are zero. More...

## Functions
AFAPI array | iszero (const array &in)
| C++ Interface for checking if values are zero. More...
AFAPI af_err | af_iszero (af_array *out, const af_array in)
| C Interface for checking if values are zero. More...

## Detailed Description

Check if values are zero.

Note
  This function supports real inputs only. Complex inputs are not yet supported.

## Function Documentation

AFAPI af_err af_iszero | ( | af_array * | out,
|  | const af_array | in
| ) |  |

C Interface for checking if values are zero.

Parameters

  [out] | out | will contain 1's where input is 0, and 0 otherwise.
  [in] | in | is input

Returns
  AF_SUCCESS if the execution completes properly

AFAPI array af::iszero | ( | const array & | in | ) |

C++ Interface for checking if values are zero.

Parameters

  [in] | in | is input

Returns
  array containing 1's where input is 0, and 0 otherwise.